IR Generator
C Reference » Production Nodes Functionality

## Functions

XN_C_API XnStatus XN_C_DECL | xnCreateIRGenerator (XnContext *pContext, XnNodeHandle *phIRGenerator, XnNodeQuery *pQuery, XnEnumerationErrors *pErrors)
XN_C_API XnIRPixel *XN_C_DECL | xnGetIRMap (XnNodeHandle hInstance)
XN_C_API void XN_C_DECL | xnGetIRMetaData (XnNodeHandle hInstance, XnIRMetaData *pMetaData)

## Detailed Description

An IR Generator node is a Map Generator that outputs infra-red maps. It supports all Map Generator functions, and adds additional functions.

## Function Documentation

## xnCreateIRGenerator()

XN_C_API XnStatus XN_C_DECL xnCreateIRGenerator | ( | XnContext * | pContext,
|  | XnNodeHandle * | phIRGenerator,
|  | XnNodeQuery * | pQuery,
|  | XnEnumerationErrors * | pErrors )

Creates an IR generator.

Parameters

  pContext | [in] The context in which to create the IR generator.
  phIRGenerator | [out] A handle to the created IR generator.
  pQuery | [in] Optional. Can be used to select which IR generator to create. If not specified, this function may create any IR generator that is available.
  pErrors | [in] Optional. If provided, will be filled with information about IR generators that could not be created.

## xnGetIRMap()

XN_C_API XnIRPixel *XN_C_DECL xnGetIRMap | ( | XnNodeHandle | hInstance | ) |

Gets the current IR-map. This map is updated after a call to xnWaitAndUpdateData().

Parameters

  hInstance | [in] A handle to the instance.

Returns
  NULL if this production node is not an IR generator.

## xnGetIRMetaData()

XN_C_API void XN_C_DECL xnGetIRMetaData | ( | XnNodeHandle | hInstance,
|  | XnIRMetaData * | pMetaData )

Gets the current IR-map meta data.

Parameters

  hInstance | [in] A handle to the instance.
  pMetaData | [in] The struct to be filled.